import { ButtonProps, InputProps, TextareaProps } from "@mui/joy";
import { ReactElement } from "react";
import { NerdFileUploadProps } from "../nerdFileUpload";
interface NerdFeedbackProps {
    cancelButtonProps?: ButtonProps;
    sendButtonProps?: ButtonProps;
    nameInputProps?: InputProps;
    emailInputProps?: InputProps;
    commentTextareaProps?: TextareaProps;
    open: boolean;
    onClose: () => void;
    user?: {
        name: string;
        email: string;
    };
    nerdFileUploadProps?: Partial<NerdFileUploadProps>;
}
/**
 *
 * @param {NerdFeedbackProps} props props
 * @returns {ReactElement} NerdFeedback
 */
export default function NerdFeedback(props: NerdFeedbackProps): ReactElement;
export {};
